Skip to main content
GET
/
templates
/
credentials
Get credential templates.
curl --request GET \
  --url https://test.didxtech.com/me-creds/api/templates/credentials \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "My SD-JWT VC template",
      "description": "This is a description",
      "attributes": {
        "myAttribute": {
          "type": "string",
          "name": "My attribute",
          "description": "This is a attribute",
          "required": true,
          "alwaysDisclosed": false
        }
      },
      "createdAt": "2025-02-20T11:27:37.051Z",
      "updatedAt": "2025-02-20T11:27:37.051Z",
      "archivedAt": null,
      "format": "sd-jwt-vc",
      "id": "6421a8905c17830c188e2e2f",
      "type": "https://metadata.paradym.id/types/asdf93-UniversityCard"
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[id]
string

Filter credential templates by their unique identifier

Example:

"6421a8905c17830c188e2e2f"

filter[type]
string

Filter credential templates by their type

Example:

"https://metadata.paradym.id/types/asdf93-UniversityCard"

filter[format]
enum<string>

Filter credential templates by credential format

Available options:
sd-jwt-vc,
mdoc
Example:

"sd-jwt-vc"

filter[archived]
enum<string>

Filter credential templates by archived status

Available options:
true,
false
Example:

"false"

search[name]
string

Search credential templates by name (partial match)

Example:

"credential"

sort
enum<string>

Sort order for the results. Prefix with "-" for descending order

Available options:
id,
-id,
createdAt,
-createdAt,
updatedAt,
-updatedAt
Example:

"-createdAt"

page[size]
number

Number of items to return per page (1-100)

Required range: 1 <= x <= 100
Example:

10

page[before]
string

Cursor for pagination - return items before this ID value

Example:

"6421a8905c17830c188e2e2f"

page[after]
string

Cursor for pagination - return items after this ID value

Example:

"6421a8905c17830c188e2e30"

Response

List of credential templates.

data
object[]
required
Example:
{
"name": "My SD-JWT VC template",
"description": "This is a description",
"attributes": {
"myAttribute": {
"type": "string",
"name": "My attribute",
"description": "This is a attribute",
"required": true,
"alwaysDisclosed": false
}
},
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"archivedAt": null,
"format": "sd-jwt-vc",
"id": "6421a8905c17830c188e2e2f",
"type": "https://metadata.paradym.id/types/asdf93-UniversityCard"
}
meta
object
errors
object[]